skype忽然启动不了了

上网、浏览、聊天、下载等
头像
tigeric
帖子: 85
注册时间: 2006-04-07 23:31
来自: beijing
送出感谢: 0
接收感谢: 0
联系:

skype忽然启动不了了

#1

帖子 tigeric » 2006-05-22 22:04

昨天还可以
我什么也没干 阿
就不行了


终端 显示
*** glibc detected *** free(): invalid pointer: 0x08ae5570 ***
never
帖子: 62
注册时间: 2005-11-05 18:18
来自: 广东深圳
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 never » 2006-05-23 12:01

never@Qno-Never:~$ skype
*** glibc detected *** free(): invalid pointer: 0x08a210a0 ***
已放弃

我是今早做了升级之后启动不了。
使用bate1 安装在笔记本上

发现不能启动之后有移除过后再安装,好像没用,哈。
等有空再找原因了。
头像
tigeric
帖子: 85
注册时间: 2006-04-07 23:31
来自: beijing
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 tigeric » 2006-05-23 12:41

我也是
搞了好久 都不行
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 oliver » 2006-05-23 21:20

我也打不开Skype(和原先不能够打开Opera的问题原因似乎一样),然后我是从Skype下载动态二进制文件(自带QT库的),可是我不是学计算机的,还不知道什么是QT库,暂时解决问题,以后有空再学习。楼上的两位朋友不妨也如此试试看看能否暂时解决这个问题?

代码: 全选

oliver@ubuntu:~$ skype
skype: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory
oliver@ubuntu:~$
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#5

帖子 eexpress » 2006-05-23 21:27

qt都有有些商业性质,说不定有人不愿意支持这个,所以有可能源升级时,没有对这些软件进行测试,导致库出现不兼容。
下static是有道理的。
● 鸣学
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 oliver » 2006-05-23 21:46

eexpress 写了:qt都有有些商业性质,说不定有人不愿意支持这个,所以有可能源升级时,没有对这些软件进行测试,导致库出现不兼容。
下static是有道理的。

听您这么一说我想起来了,QT库是描绘图像需要的,例如KDE就是建立在qt库上的(我看过相关文章),当初就是因为这个原因而产生过争议,后来qt库改为了双许可证。
头像
tigeric
帖子: 85
注册时间: 2006-04-07 23:31
来自: beijing
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 tigeric » 2006-05-23 21:48

我昨天也 下 动态的 包了 解压了用 还是不行 ,错误一样
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 oliver » 2006-05-24 9:29

tigeric 写了:我昨天也 下 动态的 包了 解压了用 还是不行 ,错误一样

您是如何运行的呢?例如在终端运行的话是要在那个安装目录底下输入"./skype"命令。直接双击二进制文件也能够运行(而不是那个skype图标形状的配置文件)
头像
tigeric
帖子: 85
注册时间: 2006-04-07 23:31
来自: beijing
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 tigeric » 2006-05-24 11:01

"./skype"



*** glibc detected *** free(): invalid pointer: 0x08ae5570 ***
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 oliver » 2006-05-24 13:36

tigeric 写了:"./skype"
*** glibc detected *** free(): invalid pointer: 0x08ae5570 ***

pointer是指针的意思吧……C语言上有这个概念。不过我不是学计算机的 :) 我想学计算机的朋友或许会知道您的问题所在。
never
帖子: 62
注册时间: 2005-11-05 18:18
来自: 广东深圳
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 never » 2006-05-30 22:13

我用 dpkg -remove 掉 libqt3-mt之后再重新 sudo apt-get install libqt3-mt
再装 skype 好解决此问题。

还想想如果不可以的话,做一次源码编译呢。

试试,或许对你也凑效呢~
头像
tigeric
帖子: 85
注册时间: 2006-04-07 23:31
来自: beijing
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 tigeric » 2006-05-30 23:27

谢谢 十一楼
搞定了
头像
tigeric
帖子: 85
注册时间: 2006-04-07 23:31
来自: beijing
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 tigeric » 2006-05-31 10:30

经过分析 是 scim的问题
scim-qtimm
这个包如果装上 就无法启动 动态 skype 静态的 可以
删掉 这个 就可以启动 动态的 但是 好像 无法输入汉字 在文本聊天的时候


SCIM context plugin for qt-immodule
It brings functionality similar to the immodule
for GTK+ to the Qt library.The main goal is to extend
and enhance the input method support in the Qt library,
in order to provide a modern and powerful
multi-language input system.
sammeme
帖子: 198
注册时间: 2006-04-28 21:31
送出感谢: 0
接收感谢: 0

#14

帖子 sammeme » 2006-06-02 4:40

还有一种方法是如下:
从skype上下载 rpm 版本 http://www.skype.com/go/getskype-linux-mdk

然后用alien 转成deb然后安装。

skype我是彻底失望了,半年都没有升级的迹象。

大家愿意的话还是转google talk 吧, linux 语音客户端可以用tapioca,文字客户端可以用kopete.
cjesse
帖子: 25
注册时间: 2006-06-02 0:25
送出感谢: 0
接收感谢: 0

#15

帖子 cjesse » 2006-06-04 8:45

我是按照sammeme 的方法解决问题的,谢谢。

另外我还有一个问题是,系统处事的电影播放机不能启动了,不知怎样解决?
回复

回到 “因特网相关软件”